function [C D]=clarity_mx(FILENAME,FLT)
% FLT: szűrőbank típusa: oktáv: 'o1', harmadoktáv: 'o3'

IDOELEJE=50;
IDO=200;

[y,fs,bit]=wavread(FILENAME);
y=y(:,1);

kezdopont=inicio(y); % impválasz kezdőpontjának meghatározása
   if kezdopont < round(0.5/1000*fs), kezdopont=1; end;
y=y(kezdopont:end);

%FILENAME=y;
%iFILENAME=FILENAME(1:length(FILENAME)-4); %.wav karakterek levagasa    

if (length(y)/2)~=round(length(y)/2), y=y(1:length(y)-1,:); end;

L=length(y);

if FLT=='o3', szurt=o3(y,fs); fv= round((1000).*((2^(1/3)).^[-16:13])); end;
if FLT=='o1', szurt=szur_oktav80(y)';  fv= round((1000).*((2^(1)).^[-5:4])); end;
%szurt=o1(y,fs); 

SAV_SZAM=size(szurt,1);
C=zeros(IDO,SAV_SZAM);
D=zeros(IDO,SAV_SZAM);

for szamlalo=1:SAV_SZAM, % 30 savunk van, egyenkent mindegyikre clarity
    
    x=szurt(szamlalo,:); %aktualis savbeli jel

    for i=1:IDO,
	[C(i,szamlalo),D(i,szamlalo)]=clarity(x,fs,i);
    end;    
    fprintf('.');
end;
fprintf('\n');

idovektor=0:1/fs:(L-1)/fs;  %ábrázolás időben
%waterfall(fv,50:IDO,C(50:IDO,:)); % C50-től CIDO-ig ábrázoljuk
%  xlabel('Frekvenciasáv [Hz]');
%  ylabel('Ct idő [ms]');
%  zlabel('Clarity [dB]');
%  title('Clarity mátrix');
%  set(gca,'xscale','log'); set(gca,'Xlim',[20 24000]);
%  view(-10,23);